> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Read flow components



## OpenAPI

````yaml /openapi/public/openapi-flow.json get /flow-components
openapi: 3.0.0
info:
  title: MileApp API - Flow
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Flow
    description: >-
      Flow in MileApp is the mobile field application workflow, setting it
      correctly is critical to the success of the field workers in doing their
      job efficiently. Flow attributes consist of IDs, pages, components,
      configurations, and time. The Flow will be used at Task, Automation, or
      Schedule.


      **To see the details of flow object, please follow [this
      link](#tag/flow_model)**
  - name: Automation
    description: >-
      Automation enables you to set up automation based on tasks' events and
      data source's events. It might help you automate creation of tasks, task
      assignment, task placement, task webhook, data source update, datasource
      creation, and data source webhook. Automation attributes consist of IDs,
      automation name, automation type, automation details, and rules.


      **To see the details of automation object, please follow [this
      link](#tag/automation_model)**
paths:
  /flow-components:
    get:
      tags:
        - Flow
      summary: Read flow components
      operationId: flowComponents
      parameters:
        - name: fieldType
          in: query
          description: >-
            filter only component with `type` as input will be returned. 

            **Example:** `routeAs`, `structurData`, `singleValue`, `image`,
            `listItemData`, `reservedKey`, `all`.

            **Default:** `all`
          schema:
            type: boolean
        - name: flowId
          in: query
          description: >-
            FlowId is for selecting the specific flow that you can choose from
            flow Id's by multiples to show in the response using a string with a
            comma delimiter.

            **Example:** `Pickup,Delivery`. 

            **Example:** `1`.

            **Default:** `null`
          schema:
            type: boolean
        - name: fields
          in: query
          description: >-
            Fields is for selecting the specific fields that you can choose from
            component Id's by multiples to show in the response using a string
            with a comma delimiter.

            **Example:** `startTime,endTime,hubId,createdBy,flow,status`.

            **Default:** `null`
          schema:
            type: boolean
        - name: isMerge
          in: query
          description: >-
            filter to show component with `flattern` format if the value is
            `1`. 

            **Example:** `1`.

            **Default:** `null`
          schema:
            type: boolean
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComponents'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Bad request - invalid parameters provided.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    ListComponents:
      title: ListComponents
      example:
        status: true
        message: Success
        data:
          - _id: 6352736c628401059b37a1d1
            flowName: Delivery
            fields:
              - component: input
                id: receiverName
                title: Receiver Name
                inputType: string
                required: false
                visible: true
                routeAs: DeliveryName
              - component: input
                id: title
                inputType: string
                default: null
                title: Title
                required: true
                visible: true
                showAs: title
              - component: input
                id: content
                inputType: string
                default: null
                title: Content
                required: true
                visible: true
                showAs: content
      type: object
      properties:
        status:
          type: boolean
          description: Status of response.
        message:
          description: Message of API response.
          type: string
        data:
          description: Detail of object flow fields.
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.